Page MenuHomePhabricator

Add a Help link to maps tool in Visual Editor
Closed, ResolvedPublic

Description

The maps tools in Visual Editor are somewhat idiosyncratic. Plus, since the VE maps tools offer only limited functions, it's likely that map users will want to edit the code directly in order to customize their VE maps (by, say, changing the color r size of the generic gray marker VE places). To assist them, we will place a Help icon in the maps VE interface that links to the maps Help page.

Event Timeline

jmatazzoni triaged this task as Low priority.

@CKoerner_WMF, Although my intention is actually to expose the full range of maps functions to VE users, I suppose we should link people directly to the part of your Help doc that is about VE. Please sub in that link address above when you have it.

jmatazzoni updated the task description. (Show Details)Jun 7 2018, 11:09 PM
jmatazzoni added a subscriber: Pginer-WMF.

@Pginer-WMF, can you please update my mockup above and let people know what the proper position, size, etc. of the help icon should be? Thanks.

@Pginer-WMF, can you please update my mockup above and let people know what the proper position, size, etc. of the help icon should be? Thanks.

In terms of position we want to communicate the help is related to the whole panel, not about one specific part such as the size fields. Anchoring it to the top-right corner can help with that.

Regarding the icon, we should use the "help" icon from the icon repo which is the standard icon available for this purpose. It is still in the process of getting updated based on my conversations with @Volker_E. So it will look as a simple "?" until it gets updated to look closer to the mockup.

The icon will be applied at the standard size of 20x20px.

jmatazzoni updated the task description. (Show Details)Jun 14 2018, 4:35 PM

What should the final URL be?

The link in the description goes to User:CKoerner_(WMF)/Visual_editor_maps. It looks good but maybe incomplete judging by the last sentence on the page.

Change 441136 had a related patch set uploaded (by Sbisson; owner: Sbisson):
[mediawiki/extensions/Kartographer@master] [WIP] Add help link to VE maps editor

https://gerrit.wikimedia.org/r/441136

What should the final URL be?

The link in the description goes to User:CKoerner_(WMF)/Visual_editor_maps. It looks good but maybe incomplete judging by the last sentence on the page.

YEs, that is the draft. The eventual home will be a section on this page: https://www.mediawiki.org/wiki/Help:Extension:Kartographer

jmatazzoni updated the task description. (Show Details)Jun 22 2018, 5:07 PM

@SBisson, I have updated the Help URL above to one that is in Mediawiki, instead of Chris's user space. So you should be able to complete this task now. For your convenience, the URL is:

https://www.mediawiki.org/wiki/Help:VisualEditor/Maps

Change 441136 merged by jenkins-bot:
[mediawiki/extensions/Kartographer@master] Add help link to VE maps editor

https://gerrit.wikimedia.org/r/441136

Checked in betalabs (disregard non-displayed map in the screenshot below)

The link will re-direct to https://www.mediawiki.org/wiki/Help:VisualEditor/Maps.

QA Recommendation: Resolve

jmatazzoni closed this task as Resolved.Jun 26 2018, 3:32 PM

Resolving this, but @Volker_E I continue to have a bad reaction to the ? with no circle around it. As previously discussed, it looks too much like a piece of punctuation and not enough like an icon. Is there a plan to revise this (please)?

Restricted Application added a project: User-Ryasmeen. · View Herald TranscriptJun 26 2018, 3:32 PM

@jmatazzoni Sorry, didn't mean to take that long to make it into OOUI. As soon as the circled icon is available, I'll pick this up in a follow-up patch.

Vvjjkkii renamed this task from Add a Help link to maps tool in Visual Editor to 4ebaaaaaaa.Jul 1 2018, 1:05 AM
Vvjjkkii reopened this task as Open.
Vvjjkkii raised the priority of this task from Low to High.
Vvjjkkii removed SBisson as the assignee of this task.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed subscribers: gerritbot, Aklapper.
CommunityTechBot assigned this task to SBisson.
CommunityTechBot lowered the priority of this task from High to Low.
CommunityTechBot closed this task as Resolved.
CommunityTechBot renamed this task from 4ebaaaaaaa to Add a Help link to maps tool in Visual Editor.
CommunityTechBot added subscribers: gerritbot, Aklapper.